Skip to content
Permalink
Browse files

containerd,docker: run with systemd cgroup options

update docker & containerd to make those run with systemd cgroups.
  • Loading branch information...
dongsupark committed Feb 25, 2019
1 parent 2616492 commit 8184af2518634c115dd6ef623959da5948be4cca
@@ -7,7 +7,7 @@ subreaper = true
# set containerd's OOM score
oom_score = -999
# CRI plugin listens on a TCP port by default
disabled_plugins = ["cri"]
disabled_plugins = []

# grpc configuration
[grpc]
@@ -27,3 +27,6 @@ runtime = "runc"
no_shim = false
# display shim logs in the containerd daemon's log output
shim_debug = true

[plugins.cri]
systemd_cgroup = true
@@ -66,7 +66,7 @@ RDEPEND="
>=dev-vcs/git-1.7
>=app-arch/xz-utils-4.9
dev-libs/libltdl
=app-emulation/containerd-1.1.2-r1
=app-emulation/containerd-1.1.2-r2
=app-emulation/docker-runc-1.0.0_rc5_p19[apparmor?,seccomp?]
=app-emulation/docker-proxy-0.8.0_p20180709
container-init? ( >=sys-process/tini-0.13.1 )
@@ -9,6 +9,7 @@ Requires=containerd.service docker.socket
Type=notify
EnvironmentFile=-/run/flannel/flannel_docker_opts.env
Environment=DOCKER_SELINUX=--selinux-enabled=true
Environment=DOCKER_OPTS=--exec-opt=native.cgroupdriver=systemd

# the default is not to use systemd for cgroups because the delegate issues still
# exists and systemd currently does not support the cgroup feature set required
@@ -11,8 +11,8 @@ KEYWORDS="amd64 arm64"

# Explicitly list all packages that will be built into the image.
RDEPEND="
=app-emulation/docker-18.06.1-r2
=app-emulation/containerd-1.1.2-r1
=app-emulation/docker-18.06.1-r3
=app-emulation/containerd-1.1.2-r2
=app-emulation/docker-proxy-0.8.0_p20180709
=app-emulation/docker-runc-1.0.0_rc5_p19
=dev-libs/libltdl-2.4.6
@@ -6,7 +6,7 @@ HOMEPAGE=https://dockerproject.org
IUSE=apparmor aufs +btrfs +container-init +device-mapper hardened +overlay pkcs11 seccomp +journald +selinux +go_version_go1_10 kernel_linux
KEYWORDS=amd64 arm64
LICENSE=Apache-2.0
RDEPEND=>=dev-db/sqlite-3.7.9:3 device-mapper? ( >=sys-fs/lvm2-2.02.89[thin] ) seccomp? ( >=sys-libs/libseccomp-2.2.1[static-libs] ) apparmor? ( sys-libs/libapparmor ) !app-emulation/docker-bin >=net-firewall/iptables-1.4 sys-process/procps >=dev-vcs/git-1.7 >=app-arch/xz-utils-4.9 dev-libs/libltdl =app-emulation/containerd-1.1.2-r1 =app-emulation/docker-runc-1.0.0_rc5_p19[apparmor?,seccomp?] =app-emulation/docker-proxy-0.8.0_p20180709 container-init? ( >=sys-process/tini-0.13.1 )
RDEPEND=>=dev-db/sqlite-3.7.9:3 device-mapper? ( >=sys-fs/lvm2-2.02.89[thin] ) seccomp? ( >=sys-libs/libseccomp-2.2.1[static-libs] ) apparmor? ( sys-libs/libapparmor ) !app-emulation/docker-bin >=net-firewall/iptables-1.4 sys-process/procps >=dev-vcs/git-1.7 >=app-arch/xz-utils-4.9 dev-libs/libltdl =app-emulation/containerd-1.1.2-r2 =app-emulation/docker-runc-1.0.0_rc5_p19[apparmor?,seccomp?] =app-emulation/docker-proxy-0.8.0_p20180709 container-init? ( >=sys-process/tini-0.13.1 )
REQUIRED_USE=go_version_go1_10
RESTRICT=installsources strip
SLOT=0
@@ -6,7 +6,7 @@ HOMEPAGE=https://dockerproject.org
IUSE=apparmor aufs +btrfs +container-init +device-mapper hardened +overlay pkcs11 seccomp +journald +selinux +go_version_go1_10 kernel_linux
KEYWORDS=~amd64 ~arm64
LICENSE=Apache-2.0
RDEPEND=>=dev-db/sqlite-3.7.9:3 device-mapper? ( >=sys-fs/lvm2-2.02.89[thin] ) seccomp? ( >=sys-libs/libseccomp-2.2.1[static-libs] ) apparmor? ( sys-libs/libapparmor ) !app-emulation/docker-bin >=net-firewall/iptables-1.4 sys-process/procps >=dev-vcs/git-1.7 >=app-arch/xz-utils-4.9 dev-libs/libltdl =app-emulation/containerd-1.1.2-r1 =app-emulation/docker-runc-1.0.0_rc5_p19[apparmor?,seccomp?] =app-emulation/docker-proxy-0.8.0_p20180709 container-init? ( >=sys-process/tini-0.13.1 )
RDEPEND=>=dev-db/sqlite-3.7.9:3 device-mapper? ( >=sys-fs/lvm2-2.02.89[thin] ) seccomp? ( >=sys-libs/libseccomp-2.2.1[static-libs] ) apparmor? ( sys-libs/libapparmor ) !app-emulation/docker-bin >=net-firewall/iptables-1.4 sys-process/procps >=dev-vcs/git-1.7 >=app-arch/xz-utils-4.9 dev-libs/libltdl =app-emulation/containerd-1.1.2-r2 =app-emulation/docker-runc-1.0.0_rc5_p19[apparmor?,seccomp?] =app-emulation/docker-proxy-0.8.0_p20180709 container-init? ( >=sys-process/tini-0.13.1 )
REQUIRED_USE=go_version_go1_10
RESTRICT=installsources strip
SLOT=0
@@ -3,6 +3,6 @@ DESCRIPTION=Packages to be installed in a torcx image for Docker
EAPI=2
KEYWORDS=amd64 arm64
LICENSE=GPL-2
RDEPEND==app-emulation/docker-18.06.1-r2 =app-emulation/containerd-1.1.2-r1 =app-emulation/docker-proxy-0.8.0_p20180709 =app-emulation/docker-runc-1.0.0_rc5_p19 =dev-libs/libltdl-2.4.6 =sys-process/tini-0.13.2
RDEPEND==app-emulation/docker-18.06.1-r3 =app-emulation/containerd-1.1.2-r2 =app-emulation/docker-proxy-0.8.0_p20180709 =app-emulation/docker-runc-1.0.0_rc5_p19 =dev-libs/libltdl-2.4.6 =sys-process/tini-0.13.2
SLOT=0
_md5_=10043be46b74f9381f7cb350c0af0d8c

0 comments on commit 8184af2

Please sign in to comment.
You can’t perform that action at this time.